clear
Write-Host "`nJava Virtual Machine (JVM) ver.: $(java --version) ($((Get-Command java).Path))`n"
# **Please build project under Apache Netbeans before what follows...**
# i.e., the 'exec' directory has been populated by Maven inside Apache NetBeans with the "right" stuff for execution:
# Module description:
jar --file=./exec/My_stack.PauWare2-1.0.jar --describe-module
Start-Sleep -s 2
# Module dependencies:
jdeps -recursive --module-path ./exec ./exec/My_stack.PauWare2-1.0.jar
Start-Sleep -s 2
pushd
cd ./exec
# Normal execution (*USELESS*: '<addClasspath>true</addClasspath>' and '<mainClass>com.franckbarbier.My_stack.My_stack</mainClass>'):
java --module-path . --module My_stack/com.franckbarbier.My_stack.My_stack
Start-Sleep -s 2
#
# 'jlink'
#
Write-Host "`nJava linker ver.: $(jlink --version) ($((Get-Command jlink).Path))`n"
jlink --module-path . --add-modules My_stack --output distribution --strip-debug --launcher My_stack=My_stack/com.franckbarbier.My_stack.My_stack
# Note: passing arguments as '--enable-preview' requires the modification of 'My_stack.bat' (Windows):
./distribution/bin/My_stack
Remove-Item -path distribution -Recurse -Force
#
# End of 'jlink'
#
popd